<template>
  <PageCard
    :title="$t('advMaterials.landings')"
    :headerClasses="['advMaterials-background']"
    color="#FFFFFF"
    class="pageCard-padding-slim">
    <div class="advMaterials_landing">
      <img
        class="advMaterials_landing-img"
        src="/backgrounds/iPhone-X-Mockup.png"
        alt="">
      <div class="flex flex-center mb-15">
        <a
          :href="landingLink"
          target="_blank">
          <Btn>
            <span class="color-accent">{{$t('common.view')}}</span>
            <template slot="img">
              <img
                class="icon_align-right"
                src="/icons/corner-right.png"
                alt="">
            </template>
          </Btn>
        </a>
      </div>
      <div class="flex flex-center" v-if="refLink">
        <Btn
          big
          @click="copy">
          <div class="flex flex-center">
            <span
              class="color-white text-lowercase"
              style="max-width: 60%; text-overflow: ellipsis; overflow: hidden; display: block;">{{refLink}}</span>
          </div>
          <template slot="img">
            <IconCopy
              class="icon_align-right"
              fill="#8591a9"></IconCopy>
          </template>
        </Btn>
      </div>
    </div>
  </PageCard>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';
  import Btn from '~/components/UI/BtnSign_dark';
  import IconCopy from '~/components/UI/icons/icon-copy';
  import copyClipboard from '~/components/utils/copy';

  export default {
    name: "index",
    data() {
      return {
        refLink: ''
      }
    },
    components: {
      PageCard,
      Btn,
      IconCopy
    },
    computed: {
      accountName() {
        return this.$store.state.wallet.accountName;
      },
      landingLink() {
        return 'https://16bit.game/';
      }
    },
    methods: {
      copy() {
        this.ga('app', true);
        copyClipboard(this.refLink, this.$t('common.copied'));
      }
    },
    async mounted() {
      const refInfo = await this.$store.dispatch('user/fetchReferralLink', 'https://16bit.game');
      this.refLink = refInfo.url;
    }
  }
</script>
